| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Public Attributes | List of all members
backing_store_struct Struct Reference

`#include <jmemsys.h>`

## Public Member Functions
| JMETHOD (void, read_backing_store,(j_common_ptr cinfo, backing_store_ptr info, void FAR *buffer_address, long file_offset, long byte_count))
| JMETHOD (void, write_backing_store,(j_common_ptr cinfo, backing_store_ptr info, void FAR *buffer_address, long file_offset, long byte_count))
| JMETHOD (void, close_backing_store,(j_common_ptr cinfo, backing_store_ptr info))

## Public Attributes
FILE * | temp_file
char | temp_name [TEMP_NAME_LENGTH]

## Detailed Description

Definition at line 139 of file jmemsys.h.

## Member Function Documentation

backing_store_struct::JMETHOD | ( | void | ,
|  | read_backing_store | ,
|  | (j_common_ptr cinfo, backing_store_ptr info, void FAR *buffer_address, long file_offset, long byte_count) |
| ) |  |

backing_store_struct::JMETHOD | ( | void | ,
|  | write_backing_store | ,
|  | (j_common_ptr cinfo, backing_store_ptr info, void FAR *buffer_address, long file_offset, long byte_count) |
| ) |  |

backing_store_struct::JMETHOD | ( | void | ,
|  | close_backing_store | ,
|  | (j_common_ptr cinfo, backing_store_ptr info) |
| ) |  |

## Member Data Documentation

FILE* backing_store_struct::temp_file

Definition at line 165 of file jmemsys.h.

char backing_store_struct::temp_name[TEMP_NAME_LENGTH]

Definition at line 166 of file jmemsys.h.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jmemsys.h